php-seclib_1.0.7-1_all.deb


Advertisement

Description

php-seclib - implementations of an arbitrary-precision integer arithmetic library

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name php-seclib
Package version 1.0.7
Package release 1
Package architecture all
Package type deb
Installed size 1.23 KB
Download size 173.50 KB
Official Mirror archive.ubuntu.com
The PHP Secure Communications Library are fully PKCS#1 (v2.1) compliant
RSA, DES, 3DES, RC4, Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and
X.509 implementations.

Alternatives

Package Version Architecture Repository
php-seclib_1.0.7-1_all.deb 1.0.7 all Ubuntu Universe
php-seclib - - -

Requires

Name Value
php-common -

Provides

Name Value
php-math-biginteger = 1.0.2+phpseclib
php-phpseclib -
php-phpseclib-crypt-aes -
php-phpseclib-crypt-base -
php-phpseclib-crypt-blowfish -
php-phpseclib-crypt-des -
php-phpseclib-crypt-hash -
php-phpseclib-crypt-random -
php-phpseclib-crypt-rc4 -
php-phpseclib-crypt-rijndael -
php-phpseclib-crypt-rsa -
php-phpseclib-crypt-tripledes -
php-phpseclib-crypt-twofish -
php-phpseclib-file-ansi -
php-phpseclib-file-asn1 -
php-phpseclib-file-x509 -
php-phpseclib-math-biginteger -
php-phpseclib-net-sftp -
php-phpseclib-net-ssh1 -
php-phpseclib-net-ssh2 -
php-phpseclib-system-ssh-agent -

Conflicts

Name Value
php-math-biginteger -

Replaces

Name Value
php-crypt-blowfish -
php-math-biginteger -

Download

Type URL
Binary Package php-seclib_1.0.7-1_all.deb
Source Package phpseclib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-seclib deb package:
    # sudo apt-get install php-seclib

Files

Path
/usr/share/doc/php-seclib/changelog.Debian.gz
/usr/share/doc/php-seclib/copyright
/usr/share/doc/php-seclib/examples/openssl.cnf
/usr/share/php/phpseclib.autoloader.php
/usr/share/php/phpseclib.bootstrap.php
/usr/share/php/Crypt/AES.php
/usr/share/php/Crypt/Base.php
/usr/share/php/Crypt/Blowfish.php
/usr/share/php/Crypt/DES.php
/usr/share/php/Crypt/Hash.php
/usr/share/php/Crypt/RC2.php
/usr/share/php/Crypt/RC4.php
/usr/share/php/Crypt/RSA.php
/usr/share/php/Crypt/Random.php
/usr/share/php/Crypt/Rijndael.php
/usr/share/php/Crypt/TripleDES.php
/usr/share/php/Crypt/Twofish.php
/usr/share/php/File/ANSI.php
/usr/share/php/File/ASN1.php
/usr/share/php/File/X509.php
/usr/share/php/Math/BigInteger.php
/usr/share/php/Net/SCP.php
/usr/share/php/Net/SFTP.php
/usr/share/php/Net/SSH1.php
/usr/share/php/Net/SSH2.php
/usr/share/php/Net/SFTP/Stream.php
/usr/share/php/System/SSH_Agent.php
/usr/share/php/System/SSH/Agent.php

Changelog

2017-08-04 - David Prévot <taffit@debian.org>
phpseclib (1.0.7-1) unstable; urgency=medium
[ terrafrost ]
* 1.0.7 release
[ David Prévot ]
* Update Standards-Version to 4.0.0
2016-10-25 - David Prévot <taffit@debian.org>
phpseclib (1.0.5-1) unstable; urgency=medium
[ terrafrost ]
* Composer: include bootstrap before Crypt/Random
[ David Prévot ]
* Add back Crypt/Random.php to homemade autoload
2016-10-20 - David Prévot <taffit@debian.org>
phpseclib (1.0.4-1) unstable; urgency=medium
[ terrafrost ]
* add PHP5-style constructors along side PHP4-style ones
2016-09-22 - David Prévot <taffit@debian.org>
phpseclib (1.0.3-1) unstable; urgency=medium
[ terrafrost ]
* updates for 1.0.3 release
[ David Prévot ]
* Include phpseclib.bootstrap.php instead of Crypt/Random.php
2016-05-08 - David Prévot <taffit@debian.org>
phpseclib (1.0.2-1) unstable; urgency=medium
* Update Standards-Version to 3.9.8
* Drop php-crypt-blowfish compatibility workaround
2016-03-28 - David Prévot <taffit@debian.org>
phpseclib (1.0.1-4) unstable; urgency=medium
* Revert "Fix "Methods with the same name as their class will not be
constructors in a future version of PHP":
Actually fixing the constructors requires to also fix all their calls,
both internally and externally. This backward-incompatible change has
been achieved in version 2 of phpseclib, packaged in Debian as
php-phpseclib to ensure co-installability. (Closes: #819420)
2016-03-20 - Mathieu Parent <sathieu@debian.org>
phpseclib (1.0.1-3) unstable; urgency=medium
* Team upload
* Fix "Methods with the same name as their class will not be constructors in
a future version of PHP
* Use secure Vcs-* fields
2016-03-09 - David Prévot <taffit@debian.org>
phpseclib (1.0.1-2) unstable; urgency=medium
* Drop ownCloud for Debian maintainers from uploaders
* Update Standards-Version to 3.9.7
* Rebuild with recent pkg-php-tools for the PHP 7.0 transition
2016-01-18 - David Prévot <taffit@debian.org>
phpseclib (1.0.1-1) unstable; urgency=medium
[ terrafrost ]
* CHANGELOG: add 1.0.1 changes
[ Andreas Fischer ]
* Correct indentation on pvno array definition.
[ Michele Locati ]
* Exclude some dirs and files from repository auto-generated ZIP archives
[ Prayag Verma ]
* Update license year range to 2016
[ David Prévot ]
* Adapt packaging to removed tests
* Restore upstream changelog
* Update copyright
2015-12-21 - David Prévot <taffit@debian.org>
phpseclib (1.0.0-3) unstable; urgency=medium
* Fix indentation (Closes: #808620)

See Also

Package Description
php-services-json_1.0.3-1build1_all.deb PHP implementaion of json_encode/decode
php-services-weather_1.4.7-4_all.deb This class acts as an interface to various online weather-services
php-smbclient_0.8.0-3build1_i386.deb PHP wrapper for libsmbclient
php-soap_7.1+54ubuntu1_all.deb SOAP module for PHP [default]
php-solr_2.4.0-4build1_i386.deb PHP extension for communicating with Apache Solr server
php-sql-formatter_1.2.17-2_all.deb a PHP SQL highlighting library
php-ssh2_1.1.2+0.13-1_i386.deb Bindings for the libssh2 library
php-stomp_2.0.0+1.0.9-1ubuntu1_i386.deb Streaming Text Oriented Messaging Protocol (STOMP) client module for PHP
php-swiftmailer_5.4.2-1.1_all.deb Swiftmailer, free feature-rich PHP mailer
php-sybase_7.1+54ubuntu1_all.deb Sybase module for PHP [default]
php-symfony-asset_2.8.7+dfsg-1.3ubuntu1_all.deb manage asset URLs
php-symfony-browser-kit_2.8.7+dfsg-1.3ubuntu1_all.deb simulate the behavior of a web browser
php-symfony-class-loader_2.8.7+dfsg-1.3ubuntu1_all.deb load PHP classes automatically
php-symfony-config_2.8.7+dfsg-1.3ubuntu1_all.deb load configurations from different data sources
php-symfony-console_2.8.7+dfsg-1.3ubuntu1_all.deb run tasks from the command line
Advertisement
Advertisement